Bug 181792 - [css-align] 'left' and 'right' should parse as invalid in block/cross-axis alignment
Summary: [css-align] 'left' and 'right' should parse as invalid in block/cross-axis al...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Javier Fernandez
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-01-18 04:28 PST by Javier Fernandez
Modified: 2018-01-23 15:45 PST (History)
9 users (show)

See Also:


Attachments
Patch (412.44 KB, patch)
2018-01-22 16:06 PST, Javier Fernandez
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews104 for mac-sierra-wk2 (2.79 MB, application/zip)
2018-01-22 17:07 PST, Build Bot
no flags Details
Archive of layout-test-results from ews100 for mac-sierra (2.17 MB, application/zip)
2018-01-22 17:11 PST, Build Bot
no flags Details
Archive of layout-test-results from ews126 for ios-simulator-wk2 (2.23 MB, application/zip)
2018-01-22 17:21 PST, Build Bot
no flags Details
Archive of layout-test-results from ews114 for mac-sierra (2.91 MB, application/zip)
2018-01-22 17:41 PST, Build Bot
no flags Details
Patch (447.78 KB, patch)
2018-01-23 04:44 PST, Javier Fernandez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Javier Fernandez 2018-01-18 04:28:55 PST
'The CSS WG has resolved that the 'left' and 'right' values should be removed from the block/cross-axis alignment properties (align-self and align-items). 

https://github.com/w3c/csswg-drafts/issues/1403#issuecomment-311722607

The same applies to the align-content and justify-content properties.
Comment 1 Javier Fernandez 2018-01-22 16:06:42 PST
Created attachment 331973 [details]
Patch
Comment 2 Build Bot 2018-01-22 17:07:05 PST
Comment on attachment 331973 [details]
Patch

Attachment 331973 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/6175573

New failing tests:
fast/css-grid-layout/grid-item-auto-sized-align-justify-margin-border-padding.html
Comment 3 Build Bot 2018-01-22 17:07:07 PST
Created attachment 331982 [details]
Archive of layout-test-results from ews104 for mac-sierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews104  Port: mac-sierra-wk2  Platform: Mac OS X 10.12.6
Comment 4 Build Bot 2018-01-22 17:11:14 PST
Comment on attachment 331973 [details]
Patch

Attachment 331973 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/6175732

New failing tests:
fast/css-grid-layout/grid-item-auto-sized-align-justify-margin-border-padding.html
Comment 5 Build Bot 2018-01-22 17:11:15 PST
Created attachment 331985 [details]
Archive of layout-test-results from ews100 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews100  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 6 Build Bot 2018-01-22 17:21:58 PST
Comment on attachment 331973 [details]
Patch

Attachment 331973 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/6175530

New failing tests:
fast/css-grid-layout/grid-item-auto-sized-align-justify-margin-border-padding.html
Comment 7 Build Bot 2018-01-22 17:21:59 PST
Created attachment 331986 [details]
Archive of layout-test-results from ews126 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews126  Port: ios-simulator-wk2  Platform: Mac OS X 10.12.6
Comment 8 Build Bot 2018-01-22 17:41:00 PST
Comment on attachment 331973 [details]
Patch

Attachment 331973 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/6175791

New failing tests:
fast/css-grid-layout/grid-item-auto-sized-align-justify-margin-border-padding.html
Comment 9 Build Bot 2018-01-22 17:41:02 PST
Created attachment 331988 [details]
Archive of layout-test-results from ews114 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews114  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 10 Javier Fernandez 2018-01-23 04:44:02 PST
Created attachment 332018 [details]
Patch
Comment 11 Antti Koivisto 2018-01-23 06:09:15 PST
Comment on attachment 332018 [details]
Patch

r=me
Comment 12 WebKit Commit Bot 2018-01-23 12:30:29 PST
Comment on attachment 332018 [details]
Patch

Clearing flags on attachment: 332018

Committed r227432: <https://trac.webkit.org/changeset/227432>
Comment 13 WebKit Commit Bot 2018-01-23 12:30:31 PST
All reviewed patches have been landed.  Closing bug.
Comment 14 Radar WebKit Bug Importer 2018-01-23 15:45:34 PST
<rdar://problem/36797976>